Bug 65342 - Implement support for positioned floats in the FloatingObject list of RenderBlock
Summary: Implement support for positioned floats in the FloatingObject list of RenderB...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Dave Hyatt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-28 13:50 PDT by Dave Hyatt
Modified: 2011-07-31 07:12 PDT (History)
2 users (show)

See Also:


Attachments
Patch (31.66 KB, patch)
2011-07-28 14:26 PDT, Dave Hyatt
no flags Details | Formatted Diff | Diff
Patch (32.33 KB, patch)
2011-07-28 15:04 PDT, Dave Hyatt
sam: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Hyatt 2011-07-28 13:50:00 PDT
Implement support for positioned floats in the FloatingObject list of RenderBlock.
Comment 1 Dave Hyatt 2011-07-28 14:26:55 PDT
Created attachment 102299 [details]
Patch
Comment 2 Dave Hyatt 2011-07-28 15:04:30 PDT
Created attachment 102303 [details]
Patch
Comment 3 Sam Weinig 2011-07-29 12:37:43 PDT
Comment on attachment 102303 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=102303&action=review

> Source/WebCore/rendering/RenderBlock.cpp:1364
> +        setChildNeedsLayout(true, false);
> +        layoutBlock(false, pageLogicalHeight, PositionedFloatLayoutPass);
> +    } else
> +        setNeedsLayout(false);

We really need to updated these to not be bools at some point.

> Source/WebCore/rendering/RenderBlock.cpp:1443
> +        if (r->m_isDescendant && !r->m_renderer->isPositioned())

It might be helpful to indicate in a comment why you can ignore positioned objects here (e.g. where it is actually handled).
Comment 4 Dave Hyatt 2011-07-29 13:19:33 PDT
Landed in r92004.
Comment 5 Daniel Bates 2011-07-30 23:32:00 PDT
This broke the Chromium Linux Release Flexbox buildbot (non-core):
<http://build.webkit.org/builders/Chromium%20Linux%20Release%20%28Flexbox%29/builds/1821/steps/compile-webkit/logs/stdio>.

Committed build fix in <http://trac.webkit.org/changeset/92072>.